Bug 1233214 - KDEINIT5 Crashes on "Special Window Settings" [NEEDINFO]
Summary: KDEINIT5 Crashes on "Special Window Settings"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 12:56 UTC by EMR_Fedora
Modified: 2019-09-09 21:29 UTC (History)
8 users (show)

Fixed In Version: kf5-5.11.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:12:19 UTC
Shadowmaster.SM: needinfo? (extras-qa)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 348472 None None None Never

Description EMR_Fedora 2015-06-18 12:56:11 UTC
Description of problem:
KDEINIT5 crash when I am trying to have any application present on all virtual desktops.

Version-Release number of selected component (if applicable):
Name        : kf5-kinit
Version     : 5.10.0
Release     : 3.fc22
Architecture: i686
Install Date: Mon Jun 15 10:58:33 2015

How reproducible:
See steps below

Steps to Reproduce:
1.Right click on a window's title bar/top border. 
2.Select "More actions"
3.Select "Special Window Settings..."

Actual results:
We are sorry, kdeinit4 (deleted) closed unexpectedly. You cannot report this error, because kdeinit5 (deleted) does not provide a bug reporting address. Details: Executable: kdeinit5 (deleted) PID: ... Signal: Segmentation fault (11) Time: ... 

Expected results:
The window settings application, so that I can set specific settings based on the X11 window class/application/instance/etc.

Additional info:

Installing the debuglibs didn't help... even gdb failed:

/usr/bin/kdeinit5 (deleted): No such file or directory.
Attaching to process 12802
ptrace: Operation not permitted.
(gdb)

Comment 1 Rex Dieter 2015-06-18 13:15:05 UTC
I was seeing that too, but problem(s) went away upgrading to kf5-5.11.0, see:
https://admin.fedoraproject.org/updates/FEDORA-2015-9994

Comment 2 EMR_Fedora 2015-06-18 13:22:26 UTC
this is great, but I just ran an update, and nothing happened.

Comment 3 Rex Dieter 2015-06-18 13:27:01 UTC
The update in question is currently in -testing.  Sounds like you may not have that repo enabled.

The update has been queue'd for stable updates, so you should get it waiting a day or 2 (or 3).

Comment 4 Fedora Update System 2015-06-18 13:31:16 UTC
kf5-5.11.0-2.fc22, kf5-kcrash-5.11.0-1.fc22, kf5-modemmanager-qt-5.11.0-1.fc22, kf5-kross-5.11.0-1.fc22, kf5-kpeople-5.11.0-1.fc22, kf5-kcoreaddons-5.11.0-1.fc22, kf5-kactivities-5.11.0-1.fc22, kf5-kdbusaddons-5.11.0-1.fc22, kf5-kglobalaccel-5.11.0-1.fc22, kf5-solid-5.11.0-1.fc22, kf5-krunner-5.11.0-1.fc22, kf5-kjobwidgets-5.11.0-1.fc22, kf5-threadweaver-5.11.0-1.fc22, kf5-karchive-5.11.0-1.fc22, kf5-attica-5.11.0-1.fc22, kf5-kwallet-5.11.0-1.fc22, kf5-kxmlrpcclient-5.11.0-1.fc22, kf5-plasma-5.11.0-1.fc22, kf5-kcompletion-5.11.0-1.fc22, kf5-knotifications-5.11.0-1.fc22, kf5-kbookmarks-5.11.0-1.fc22, kf5-kauth-5.11.0-1.fc22, kf5-kdelibs4support-5.11.0-1.fc22, kf5-kcmutils-5.11.0-1.fc22, kf5-kimageformats-5.11.0-1.fc22, kf5-kplotting-5.11.0-1.fc22, kf5-kservice-5.11.0-1.fc22, kf5-kitemviews-5.11.0-1.fc22, kf5-ki18n-5.11.0-1.fc22, kf5-kwindowsystem-5.11.0-1.fc22, extra-cmake-modules-5.11.0-1.fc22, kf5-kdoctools-5.11.0-1.fc22, kf5-ktextwidgets-5.11.0-1.fc22, kf5-kjsembed-5.11.0-1.fc22, kf5-kguiaddons-5.11.0-1.fc22, kf5-kio-5.11.0-1.fc22, kf5-kiconthemes-5.11.0-1.fc22, kf5-kded-5.11.0-1.fc22, kf5-kunitconversion-5.11.0-1.fc22, kf5-kconfig-5.11.0-1.fc22, kf5-kjs-5.11.0-1.fc22, kf5-kapidox-5.11.0-1.fc22, kf5-kidletime-5.11.0-1.fc22, kf5-knotifyconfig-5.11.0-1.fc22, kf5-kcodecs-5.11.0-1.fc22, kf5-kparts-5.11.0-1.fc22, kf5-sonnet-5.11.0-1.fc22, kf5-kdewebkit-5.11.0-1.fc22, kf5-knewstuff-5.11.0-1.fc22, kf5-kpty-5.11.0-1.fc22, kf5-kwidgetsaddons-5.11.0-1.fc22, kf5-kinit-5.11.0-1.fc22, kf5-kdeclarative-5.11.0-1.fc22, kf5-kxmlgui-5.11.0-1.fc22, kf5-kpackage-5.11.0-1.fc22, kf5-frameworkintegration-5.11.0-1.fc22, kf5-kdnssd-5.11.0-1.fc22, kf5-kitemmodels-5.11.0-1.fc22, kf5-kemoticons-5.11.0-1.fc22, kf5-kdesu-5.11.0-1.fc22, kf5-networkmanager-qt-5.11.0-1.fc22, kf5-ktexteditor-5.11.0-1.fc22, kf5-kconfigwidgets-5.11.0-1.fc22, kf5-kdesignerplugin-5.11.0-1.fc22, kf5-kmediaplayer-5.11.0-1.fc22, kf5-khtml-5.11.0-1.fc22, bluedevil-5.3.1-2.fc22, kf5-bluez-qt-5.11.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-9994/kf5-kjsembed-5.11.0-1.fc22,kf5-5.11.0-2.fc22,kf5-kguiaddons-5.11.0-1.fc22,kf5-kcrash-5.11.0-1.fc22,kf5-kio-5.11.0-1.fc22,kf5-modemmanager-qt-5.11.0-1.fc22,kf5-kiconthemes-5.11.0-1.fc22,kf5-kross-5.11.0-1.fc22,kf5-kded-5.11.0-1.fc22,kf5-kpeople-5.11.0-1.fc22,kf5-kunitconversion-5.11.0-1.fc22,kf5-kcoreaddons-5.11.0-1.fc22,kf5-kconfig-5.11.0-1.fc22,kf5-kactivities-5.11.0-1.fc22,kf5-kjs-5.11.0-1.fc22,kf5-kdbusaddons-5.11.0-1.fc22,kf5-kapidox-5.11.0-1.fc22,kf5-kglobalaccel-5.11.0-1.fc22,kf5-kidletime-5.11.0-1.fc22,kf5-solid-5.11.0-1.fc22,kf5-knotifyconfig-5.11.0-1.fc22,kf5-krunner-5.11.0-1.fc22,kf5-kcodecs-5.11.0-1.fc22,kf5-kjobwidgets-5.11.0-1.fc22,kf5-kparts-5.11.0-1.fc22,kf5-threadweaver-5.11.0-1.fc22,kf5-sonnet-5.11.0-1.fc22,kf5-karchive-5.11.0-1.fc22,kf5-kdewebkit-5.11.0-1.fc22,kf5-attica-5.11.0-1.fc22,kf5-knewstuff-5.11.0-1.fc22,kf5-kwallet-5.11.0-1.fc22,kf5-kpty-5.11.0-1.fc22,kf5-kxmlrpcclient-5.11.0-1.fc22,kf5-kwidgetsaddons-5.11.0-1.fc22,kf5-plasma-5.11.0-1.fc22,kf5-kinit-5.11.0-1.fc22,kf5-kcompletion-5.11.0-1.fc22,kf5-kdeclarative-5.11.0-1.fc22,kf5-knotifications-5.11.0-1.fc22,kf5-kxmlgui-5.11.0-1.fc22,kf5-kbookmarks-5.11.0-1.fc22,kf5-kpackage-5.11.0-1.fc22,kf5-kauth-5.11.0-1.fc22,kf5-frameworkintegration-5.11.0-1.fc22,kf5-kdelibs4support-5.11.0-1.fc22,kf5-kdnssd-5.11.0-1.fc22,kf5-kcmutils-5.11.0-1.fc22,kf5-kitemmodels-5.11.0-1.fc22,kf5-kimageformats-5.11.0-1.fc22,kf5-kemoticons-5.11.0-1.fc22,kf5-kplotting-5.11.0-1.fc22,kf5-bluez-qt-5.11.0-2.fc22,kf5-kservice-5.11.0-1.fc22,kf5-kdesu-5.11.0-1.fc22,kf5-kitemviews-5.11.0-1.fc22,kf5-networkmanager-qt-5.11.0-1.fc22,kf5-ki18n-5.11.0-1.fc22,kf5-ktexteditor-5.11.0-1.fc22,kf5-kwindowsystem-5.11.0-1.fc22,kf5-kconfigwidgets-5.11.0-1.fc22,extra-cmake-modules-5.11.0-1.fc22,kf5-kdesignerplugin-5.11.0-1.fc22,kf5-kdoctools-5.11.0-1.fc22,kf5-kmediaplayer-5.11.0-1.fc22,kf5-ktextwidgets-5.11.0-1.fc22,kf5-khtml-5.11.0-1.fc22,bluedevil-5.3.1-2.fc22

Comment 5 Ed Greshko 2015-06-18 23:19:41 UTC
I am still seeing these crashes after upgrading from updates-testing.  I believe all relevant packages have been updated.

[egreshko@meimei ~]$ rpm -qa | grep ^kf5
kf5-kparts-5.11.0-1.fc22.x86_64
kf5-kconfigwidgets-5.11.0-1.fc22.x86_64
kf5-modemmanager-qt-5.11.0-1.fc22.x86_64
kf5-bluez-qt-5.11.0-1.fc22.x86_64
kf5-kdbusaddons-5.11.0-1.fc22.x86_64
kf5-kemoticons-5.11.0-1.fc22.x86_64
kf5-kglobalaccel-libs-5.11.0-1.fc22.x86_64
kf5-kcodecs-5.11.0-1.fc22.x86_64
kf5-frameworkintegration-5.11.0-1.fc22.x86_64
kf5-attica-5.11.0-1.fc22.x86_64
kf5-filesystem-5.11.0-2.fc22.x86_64
kf5-kiconthemes-5.11.0-1.fc22.x86_64
kf5-kdelibs4support-5.11.0-1.fc22.x86_64
kf5-karchive-5.11.0-1.fc22.x86_64
kf5-kio-file-widgets-5.11.0-1.fc22.x86_64
kf5-kauth-5.11.0-1.fc22.x86_64
kf5-kio-widgets-5.11.0-1.fc22.x86_64
kf5-kitemmodels-5.11.0-1.fc22.x86_64
kf5-kcrash-5.11.0-1.fc22.x86_64
kf5-kdoctools-5.11.0-1.fc22.x86_64
kf5-kcoreaddons-5.11.0-1.fc22.x86_64
kf5-kbookmarks-5.11.0-1.fc22.x86_64
kf5-kjsembed-5.11.0-1.fc22.x86_64
kf5-kcompletion-5.11.0-1.fc22.x86_64
kf5-knotifyconfig-5.11.0-1.fc22.x86_64
kf5-kwallet-5.11.0-1.fc22.x86_64
kf5-ktexteditor-5.11.0-1.fc22.x86_64
kf5-kconfig-core-5.11.0-1.fc22.x86_64
kf5-kpty-5.11.0-1.fc22.x86_64
kf5-kdewebkit-5.11.0-1.fc22.x86_64
kf5-sonnet-core-5.11.0-1.fc22.x86_64
kf5-krunner-5.11.0-1.fc22.x86_64
kf5-kwallet-libs-5.11.0-1.fc22.x86_64
kf5-kinit-5.11.0-1.fc22.x86_64
kf5-kservice-5.11.0-1.fc22.x86_64
kf5-kcmutils-5.11.0-1.fc22.x86_64
kf5-sonnet-ui-5.11.0-1.fc22.x86_64
kf5-kdeclarative-5.11.0-1.fc22.x86_64
kf5-kjobwidgets-5.11.0-1.fc22.x86_64
kf5-kio-core-5.11.0-1.fc22.x86_64
kf5-networkmanager-qt-5.11.0-1.fc22.x86_64
kf5-kfilemetadata-5.9.1-1.fc22.x86_64
kf5-kpackage-5.11.0-1.fc22.x86_64
kf5-kio-core-libs-5.11.0-1.fc22.x86_64
kf5-kidletime-5.11.0-1.fc22.x86_64
kf5-ki18n-5.11.0-1.fc22.x86_64
kf5-kross-core-5.11.0-1.fc22.x86_64
kf5-kpeople-5.11.0-1.fc22.x86_64
kf5-kwindowsystem-5.11.0-1.fc22.x86_64
kf5-kdesu-5.11.0-1.fc22.x86_64
kf5-kwayland-5.3.1-1.fc22.x86_64
kf5-frameworkintegration-libs-5.11.0-1.fc22.x86_64
kf5-knewstuff-5.11.0-1.fc22.x86_64
kf5-kwidgetsaddons-5.11.0-1.fc22.x86_64
kf5-kio-ntlm-5.11.0-1.fc22.x86_64
kf5-kross-ui-5.11.0-1.fc22.x86_64
kf5-ktextwidgets-5.11.0-1.fc22.x86_64
kf5-kactivities-5.11.0-1.fc22.x86_64
kf5-baloo-5.9.1-1.fc22.x86_64
kf5-kglobalaccel-5.11.0-1.fc22.x86_64
kf5-threadweaver-5.11.0-1.fc22.x86_64
kf5-kguiaddons-5.11.0-1.fc22.x86_64
kf5-kdelibs4support-libs-5.11.0-1.fc22.x86_64
kf5-kunitconversion-5.11.0-1.fc22.x86_64
kf5-plasma-5.11.0-1.fc22.x86_64
kf5-kitemviews-5.11.0-1.fc22.x86_64
kf5-kio-widgets-libs-5.11.0-1.fc22.x86_64
kf5-kconfig-gui-5.11.0-1.fc22.x86_64
kf5-kdnssd-5.11.0-1.fc22.x86_64
kf5-baloo-libs-5.9.1-1.fc22.x86_64
kf5-kxmlrpcclient-5.11.0-1.fc22.x86_64
kf5-solid-libs-5.11.0-1.fc22.x86_64
kf5-khtml-5.11.0-1.fc22.x86_64
kf5-kxmlgui-5.11.0-1.fc22.x86_64
kf5-kded-5.11.0-1.fc22.x86_64
kf5-kjs-5.11.0-1.fc22.x86_64
kf5-kactivities-libs-5.11.0-1.fc22.x86_64
kf5-knotifications-5.11.0-1.fc22.x86_64
kf5-solid-5.11.0-1.fc22.x86_64

Comment 6 Rex Dieter 2015-06-18 23:30:43 UTC
OK, I take it back, I can reproduce the crash now too. :(

Comment 7 Rex Dieter 2015-06-18 23:35:17 UTC
Pasting crash here, for now, since drkonqi won't report it upstream:
"You cannot report this error, because kdeinit5 does not provide a bug reporting address"

Application: kdeinit5 (kdeinit5), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7ff7768a2840 (LWP 29223))]

Thread 2 (Thread 0x7ff757efc700 (LWP 29224)):
#0  0x00007ff77364f66d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ff772839182 in _xcb_conn_wait (__timeout=-1, __nfds=1, __fds=0x7ff757efbc80) at /usr/include/bits/poll2.h:46
#2  0x00007ff772839182 in _xcb_conn_wait (c=c@entry=0x16d1560, cond=cond@entry=0x16d15a0, vector=vector@entry=0x0, count=count@entry=0x0) at xcb_conn.c:459
#3  0x00007ff77283ac77 in xcb_wait_for_event (c=0x16d1560) at xcb_in.c:648
#4  0x00007ff7592319b9 in QXcbEventReader::run() () at /usr/lib64/qt5/plugins/platforms/libqxcb.so
#5  0x00007ff774259e3e in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#6  0x00007ff772ca1555 in start_thread (arg=0x7ff757efc700) at pthread_create.c:333
#7  0x00007ff77365af3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ff7768a2840 (LWP 29223)):
[KCrash Handler]
#5  0x00007ff7728399de in xcb_send_request (c=0x0, flags=flags@entry=1, vector=vector@entry=0x7ffeff9a9270, req=req@entry=0x7ff772849010 <xcb_req>) at xcb_out.c:187
#6  0x00007ff77283f0bc in xcb_get_property (c=<optimized out>, _delete=<optimized out>, window=<optimized out>, property=<optimized out>, type=<optimized out>, long_offset=<optimized out>, long_length=100000) at xproto.c:2499
#7  0x00007ff7758651e1 in NETWinInfo::update(QFlags<NET::Property>, QFlags<NET::Property2>) () at /lib64/libKF5WindowSystem.so.5
#8  0x00007ff75a1409f1 in KWin::ClientMachine::resolve(unsigned int, unsigned int) () at /lib64/libkdeinit5_kwin_rules_dialog.so
#9  0x00007ff75a11b2ff in kdemain () at /lib64/libkdeinit5_kwin_rules_dialog.so
#10 0x00000000004085e0 in launch(int, char const*, char const*, char const*, int, char const*, bool, char const*, bool, char const*) ()
#11 0x0000000000409f2e in handle_launcher_request(int, char const*) [clone .isra.23] ()
#12 0x000000000040a52b in handle_requests(int) ()
#13 0x0000000000404f53 in main ()

Comment 8 Fedora Update System 2015-06-21 00:24:29 UTC
kf5-5.11.0-2.fc22, kf5-kcrash-5.11.0-1.fc22, kf5-modemmanager-qt-5.11.0-1.fc22, kf5-kross-5.11.0-1.fc22, kf5-kpeople-5.11.0-1.fc22, kf5-kcoreaddons-5.11.0-1.fc22, kf5-kactivities-5.11.0-1.fc22, kf5-kdbusaddons-5.11.0-1.fc22, kf5-kglobalaccel-5.11.0-1.fc22, kf5-solid-5.11.0-1.fc22, kf5-krunner-5.11.0-1.fc22, kf5-kjobwidgets-5.11.0-1.fc22, kf5-threadweaver-5.11.0-1.fc22, kf5-karchive-5.11.0-1.fc22, kf5-attica-5.11.0-1.fc22, kf5-kwallet-5.11.0-1.fc22, kf5-kxmlrpcclient-5.11.0-1.fc22, kf5-plasma-5.11.0-1.fc22, kf5-kcompletion-5.11.0-1.fc22, kf5-knotifications-5.11.0-1.fc22, kf5-kbookmarks-5.11.0-1.fc22, kf5-kauth-5.11.0-1.fc22, kf5-kdelibs4support-5.11.0-1.fc22, kf5-kcmutils-5.11.0-1.fc22, kf5-kimageformats-5.11.0-1.fc22, kf5-kplotting-5.11.0-1.fc22, kf5-kservice-5.11.0-1.fc22, kf5-kitemviews-5.11.0-1.fc22, kf5-ki18n-5.11.0-1.fc22, kf5-kwindowsystem-5.11.0-1.fc22, extra-cmake-modules-5.11.0-1.fc22, kf5-kdoctools-5.11.0-1.fc22, kf5-ktextwidgets-5.11.0-1.fc22, kf5-kjsembed-5.11.0-1.fc22, kf5-kguiaddons-5.11.0-1.fc22, kf5-kio-5.11.0-1.fc22, kf5-kiconthemes-5.11.0-1.fc22, kf5-kded-5.11.0-1.fc22, kf5-kunitconversion-5.11.0-1.fc22, kf5-kconfig-5.11.0-1.fc22, kf5-kjs-5.11.0-1.fc22, kf5-kapidox-5.11.0-1.fc22, kf5-kidletime-5.11.0-1.fc22, kf5-knotifyconfig-5.11.0-1.fc22, kf5-kcodecs-5.11.0-1.fc22, kf5-kparts-5.11.0-1.fc22, kf5-sonnet-5.11.0-1.fc22, kf5-kdewebkit-5.11.0-1.fc22, kf5-knewstuff-5.11.0-1.fc22, kf5-kpty-5.11.0-1.fc22, kf5-kwidgetsaddons-5.11.0-1.fc22, kf5-kinit-5.11.0-1.fc22, kf5-kdeclarative-5.11.0-1.fc22, kf5-kxmlgui-5.11.0-1.fc22, kf5-kpackage-5.11.0-1.fc22, kf5-frameworkintegration-5.11.0-1.fc22, kf5-kdnssd-5.11.0-1.fc22, kf5-kitemmodels-5.11.0-1.fc22, kf5-kemoticons-5.11.0-1.fc22, kf5-kdesu-5.11.0-1.fc22, kf5-networkmanager-qt-5.11.0-1.fc22, kf5-ktexteditor-5.11.0-1.fc22, kf5-kconfigwidgets-5.11.0-1.fc22, kf5-kdesignerplugin-5.11.0-1.fc22, kf5-kmediaplayer-5.11.0-1.fc22, kf5-khtml-5.11.0-1.fc22, bluedevil-5.3.1-2.fc22, kf5-bluez-qt-5.11.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Ed Greshko 2015-06-21 00:44:04 UTC
Please see https://bugzilla.redhat.com/show_bug.cgi?id=1233214#c7 and 6, and 5.  This bug is not fixed.

Comment 10 Rex Dieter 2015-06-21 05:02:33 UTC
ok, re-opening.

Comment 11 Rex Dieter 2015-06-21 05:03:47 UTC
Found upstream bug,
https://bugs.kde.org/show_bug.cgi?id=348472

fix coming in kwin-5.3.2

Comment 13 Fedora End Of Life 2016-07-19 19:12:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 14 German 2019-09-09 21:29:48 UTC
Same problem on Fedora 29.

kf5-kinit-5.59.0-1.fc29.x86_64
kwin-5.14.5-1.fc29.x86_64
kf5-plasma-5.59.0-1.fc29.x86_64

Actual results:
We are sorry, kdeinit5 (deleted) closed unexpectedly. You cannot report this error, because kdeinit5 (deleted) does not provide a bug reporting address. Details: Executable: kdeinit5 (deleted) PID: ... Signal: Segmentation fault (11) Time: 

----

How to reproduce:
1. Open Dolphin
2. Open any .jpg in Gwenview
3. Close Gwenview.


Note You need to log in before you can comment on or make changes to this bug.